/*
 * =====================================================================================
 * 
 *        Filename:  MyWindow.cc
 * 
 *     Description:  Window for ImShow
 * 
 *         Version:  1.0
 *         Created:  05/10/05 15:21:35 CEST
 *        Revision:  none
 *        Compiler:  gcc
 * 
 *          Author:  Janis Fehr (JF), fehr@informatiik.uni-freiburg.de
 *         Company:  LMB
 * 
 * =====================================================================================
 */

#include "MyWindow.hh"

void MyWindow::setImage(const Image<RGBColor> &in)
{
    //instanziere MyImage: breite,hhe,farbtiefe,Anz. der farben, Endianbehandlung
    MyImage = new QImage(in.width(),in.height(),32,16777216, QImage::IgnoreEndian);
    QRgb tmp;
    _width=in.width();
    _height=in.height();
    for (unsigned int x=0;x<in.width();x++)
    {
	for (unsigned int y=0;y<in.height();y++)
	{
	    tmp=qRgb(in(x,y).red(),in(x,y).green(),in(x,y).blue());
	    MyImage->setPixel(x,y,tmp);
	}
    }
    
}

MyWindow::MyWindow(QWidget *parent, const char *name ): QWidget( parent, name ) //Konstruktor erbt von QWidget
{
    MyPainter = new QPainter;//instanziere painter
} 

MyWindow::~MyWindow() //destruktor
{
    delete MyImage; 
}

void MyWindow::paintEvent( QPaintEvent * )//berschreibe die methode paintEvent, damit MyImage auch bei vernderungen des Fensters erhalten bleibt.
{
    MyPainter->begin(this);
    MyPainter->drawImage(0,0,*MyImage,0,0,_width,_height,0); //zeige MyImage
    MyPainter->end();
}
