#include <qapplication.h>
#include <qimage.h>
#include <qwidget.h>
#include <qpainter.h>
#include "Image.hh"


/*======================================================================*/
/*!
 *  \class MyWindow MyWindow.hh
 *  \brief Window showing Image
 *
 */
/*======================================================================*/

class MyWindow : public QWidget //vererbe basis fenster
{
    Q_OBJECT
        public:
  /*======================================================================*/
  /*!
   *   Default Constructor. setting Qt widget
   */
  /*======================================================================*/
            MyWindow(QWidget *parent=0, const char *name=0);
  /*======================================================================*/
  /*!
   *   Default Destructor
   */
  /*======================================================================*/
            ~MyWindow();
  /*======================================================================*/
  /*!
   *   setImage, convert Image<RGBColor> to internal Qimage
   *
   *   \param in      input Image
   */
  /*======================================================================*/
            void setImage(const Image<RGBColor> &in);
	private:
	    QImage *MyImage;
	    QPainter *MyPainter;
	    int _width, _height;
  /*======================================================================*/
  /*!
   *   paintEvent, inherited virtual method, has to be overloaded in order to 
   *   paint Image
   *
   *   \param	all Paint events triggert by parent widget
   */
  /*======================================================================*/
	    void paintEvent( QPaintEvent * );
};
